<script>
export default{
    mounted(){
        //carico il video prendendo l'id dall'url
        console.log(this.$route);
        var id=this.$route.params.id;
        this.fetchVideo(id);
    },
    methods: {
        async fetchVideo(id) {
            var response=await fetch("http://localhost:8000/api/videos/"+id);
            var videos=await  response.json();
            var video=videos[0];
            this.video=video;
        },
    },
    data(){
        return{
            video:null
        }
    }
}
</script>
<template>
    <h1>WatchVideo</h1>
    <div v-if="video!=null">
        <div>
            <iframe height="250" :src="video.url" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
        </div>
        <div class="description">{{ video.description }}</div>
        <div class="insertDate">{{ video.insertDate}}</div>
    </div>

</template>